colmap for Debian
-----------------

You might want to rebuild it with debian/patches removed, against non-free
cuda libraries for full performance.

# with cuda-12-4
override_dh_auto_configure:
	dh_auto_configure -- \
	-DCUDA_SDK_ROOT_DIR=/usr/local/cuda-12.4 \
	-DCUDA_TOOLKIT_ROOT_DIR=/usr/local/cuda-12.4 \
	-DCMAKE_CUDA_ARCHITECTURES=native \
	-DCMAKE_CUDA_COMPILER=/usr/local/cuda-12.4/bin/nvcc

mentioned packages are not from Debian but here:
/etc/apt/sources.list.d/cuda.list
deb http://developer.download.nvidia.com/compute/cuda/repos/debian12/x86_64 /

 -- Alex Myczko <tar@debian.org>  Thu, 17 Apr 2025 08:03:03 +0200
